curl "https://pulsedive.com/api/threat.php?tid=1&get=links"{
"updated_last_domain": "2025-09-03 11:44:52",
"attributes": {
"technology": {},
"hosttype": {},
"protocol": {},
"port": {}
},
"properties": {},
"feeds": [
{
"fid": 123,
"organization": "<string>",
"name": "<string>",
"pricing": "free",
"category": "malware",
"indicators": {
"total": 39,
"low": 4,
"none": 3,
"high": 3,
"medium": 16,
"retired": 13
}
}
],
"risk": {
"unknown": 31,
"low": 17,
"medium": 20,
"high": 5,
"critical": 1,
"retired": 874,
"total": 1037,
"none": 89
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Threats
Get Linked Indicators
Retrieve indicators linked to a specific threat.
To create risk breakdowns, use the summary parameter with the splitrisk parameter. This will split out indicator counts by risk level.
GET
/
api
/
threat.php
curl "https://pulsedive.com/api/threat.php?tid=1&get=links"{
"updated_last_domain": "2025-09-03 11:44:52",
"attributes": {
"technology": {},
"hosttype": {},
"protocol": {},
"port": {}
},
"properties": {},
"feeds": [
{
"fid": 123,
"organization": "<string>",
"name": "<string>",
"pricing": "free",
"category": "malware",
"indicators": {
"total": 39,
"low": 4,
"none": 3,
"high": 3,
"medium": 16,
"retired": 13
}
}
],
"risk": {
"unknown": 31,
"low": 17,
"medium": 20,
"high": 5,
"critical": 1,
"retired": 874,
"total": 1037,
"none": 89
}
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Query Parameters
Indicates which data subset to retrieve. Options include:
links: Retrieves relationship data showing how the indicator connects to other objects.
Large result sets are automatically paginated. To learn how to handle paginated responses, visit Pagination.
Available options:
links Response
Successful request. Returns threat summary information in JSON format.
Count of indicators at each risk level for the threat.
Consists of key-value pairs, where each key matches an indicator risk level and its value contains the corresponding count.
Example:
{
"unknown": 31,
"low": 17,
"medium": 20,
"high": 5,
"critical": 1,
"retired": 874,
"total": 1037,
"none": 89
}
Was this page helpful?